Subject: [Sigtran] Re: Comments on draft-bidulock-sigtran-m2pa-test-02.ps -- correction

From: [email-masked]
Date: Thu, 19 Sep 2002 14:06:56 -0400

Hello Brian,

>If you look at Figure 11/Q.703 (sheet 2 of 2) or Figure 11/T1.111.3 you
will
>see that the number of bits received (between flags) at the DAEDR must
fall
>between the limits proscribed by: N x 8 (5 <= N < m + 7)  Otherwise, the
>SU is considered in error (pegged by the SUERM or AERM) and discarded.
>
>5 octets is the minimum size of an SS7 SU (FISU including CRC) between
>flags.  Why would M2PA act any differently?  An MSU in a DATA message with
>less than 3 bytes is an error.

>> So the M2PA requirement is that all received User Data messages
>> having a length <= (min_sif + sio + li + m2pa_header = 2+1+1+16 = 20)
are
>> discarded.

You are playing word games. What is the minimum M2PA length allowed for
a User Data message to be considered as valid for MTP3? Are you saying
my calculation is incorrect? If so, please explain.

Regards,

Jeff

"Brian F. G. Bidulock" <[email-masked]> on 09/19/2002 01:56:33 PM

Please respond to [email-masked]

To:    [email-masked]
cc:    [email-masked]
Subject:    Re: Comments on draft-bidulock-sigtran-m2pa-test-02.ps --
       correction

Jeffrey,

If you look at Figure 11/Q.703 (sheet 2 of 2) or Figure 11/T1.111.3 you
will
see that the number of bits received (between flags) at the DAEDR must fall
between the limits proscribed by: N x 8 (5 <= N < m + 7)  Otherwise, the
SU is considered in error (pegged by the SUERM or AERM) and discarded.

5 octets is the minimum size of an SS7 SU (FISU including CRC) between
flags.  Why would M2PA act any differently?  An MSU in a DATA message with
less than 3 bytes is an error.

--brian

[email-masked] wrote:                     (Thu, 19 Sep 2002
13:41:25)

> > > >
> > > >This is the data portion of the DATA message.  The MSU if you will.
In this
> > > >case, however, it is too short to be a valid MSU.
> > >
> > > I haven't studied the relevant specs, but should M2PA/MTP2 validate
L3 payload
> > > length beyond a non-zero check?
> >
> > There are no 1 byte MSUs in Q.703.  In Q.703 SIO+SIF of 1 byte is an
LSSU.
> > M2PA does not send LSSUs in DATA.  Did you expecte M2PA to deliver
1-byte
> > messages to MTP3?  I don't know that MTP3 would be prepared to deal
with
> > them because it never receives them from Q.703.
>
> Ummmm.
> Q.703 2.3.8: "The signalling information field consists of an integral
> number
> of octets, greater than or equal to 2 and less than or equal to 272".
>
> So the M2PA requirement is that all received User Data messages
> having a length <= (min_sif + sio + li + m2pa_header = 2+1+1+16 = 20) are
> discarded.
>
> M2PA ignores the Q.703 text related to max size.
>

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 19 Sep 2002 12:42:34 -0600

Jeffrey,

> > > > I haven't studied the relevant specs, but should M2PA/MTP2 validate L3 payload

Yes.

--brian

[email-masked] wrote:                    (Thu, 19 Sep 2002 14:06:56)